/* getsockh.c (rsxnt) -- Copyright (c) 1996-1997 Rainer Schnitker */

#include <rsxnt.h>
#include <rsxntso.h>

int __getsockhandle (int fd)
{
    if (!_rsxnt_socket_inited)
      return _rsxnt_errno(ENETDOWN);

    return (int) _rsxnt_get_process_ptr()->file[fd].f_handle;
}
